--- setup.sh	2005-03-24 03:43:38.000000000 +0100
+++ setup.sh.new	2005-03-27 17:14:44.000000000 +0200
@@ -11,6 +11,13 @@
 
 DIALYZER_OTP_DIR=$1
 
+PWD=`pwd`
+LN="ln -s"
+if (test `uname | grep -i cygwin`) ; then
+    PWD=`cygpath -m $PWD`
+    LN=cp
+fi
+
 echo "Verifying Erlang/OTP installation..."
 if (test -f $DIALYZER_OTP_DIR/lib/erlang/bin/erl) ; then
     # The user pointed out the top-level of an Erlang/OTP
@@ -90,7 +97,7 @@
     ## symbolic links across filesystems in different machines.
     rm -f src/hipe_icode_type.hrl
     echo "  Creating a symbolic link to $DIALYZER_OTP_DIR/lib/hipe/icode/hipe_icode_type.hrl"
-    ln -s $DIALYZER_OTP_DIR/lib/hipe*/icode/hipe_icode_type.hrl src
+    $LN $DIALYZER_OTP_DIR/lib/hipe*/icode/hipe_icode_type.hrl src
     ## create all files in src
     cd src
     sed -e "s;%VSN%;$VSN;" dialyzer.hrl.src > dialyzer.hrl
@@ -115,16 +122,16 @@
        exit 1
     fi
     printf "  Checking consistency of ebin/*.beam files... "
-    $DIALYZER_OTP_OTP -pa utils/ -noshell -s dialyzer_chk test `pwd` -s init stop
+    $DIALYZER_OTP_OTP -pa utils/ -noshell -s dialyzer_chk test $PWD -s init stop
     rm -f utils/dialyzer_chk.beam
 
     ## create the dialyzer script
     sed -e "s;%OTP_DIR%;$DIALYZER_OTP_DIR;" \
 	-e "s;%VSN%;$VSN;" -e "s;%DATE%;`date`;" \
-	-e "s;%DIALYZER_DIR%;`pwd`;" src/dialyzer.src > dialyzer
+	-e "s;%DIALYZER_DIR%;$PWD;" src/dialyzer.src > dialyzer
     chmod +x dialyzer
     echo "Dialyzer is analyzing itself..."
-    ./dialyzer --src --command-line "`pwd`/src"
+    ./dialyzer --src --command-line "$PWD/src"
     echo "Dialyzer setup done!"
     echo "  For the full set of Dialyzer options type: ./dialyzer --help"
 else
